- Get Logs
- Get Audit Logs
- Get Imports
- Get User Activity Logs
POST /api/v1/loggingList all logs.Request BodyField descriptions are inferred from the entity model. Which fields are required is not confirmed for this endpoint.string
Free-text search term.
array
Array of filter objects.
array
Array of sort instructions.
boolean
Set to
true to request export output.boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
object
object[]
string
Example:
"2026-09-21T09:29:52.848160Z".string
Example:
"a1b2c3d4e5f60718293a4b5c6d7e8f90".string
Example:
"a1b2c3d4e5f60718".string
string
Example:
"49535254-7fbb-5797-b078-99627e4a3c4a".string
string
string
string
string
string
Example:
"POST:- /api/v1/workflow/workflow-execution/list".string
string
string
string
string
Example:
"SUCCESS".string
string
string
string
string
string
string
string
string
Example:
"11e92a6f-8e8f-5006-98b9-00f5d0e394b9".string
Example:
"WORKFLOW-SERVICE".string
Example:
"1.0.0".string
Example:
"2026-09-21T09:29:52.816455Z".string
Example:
"2026-09-21T09:29:52.887838Z".integer
Example:
71.string
string
string
string
integer
Example:
1613590.curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/logging" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"pagination": {
"page": 1,
"pageSize": 20
},
"search": "",
"filters": [],
"sorting": [],
"export": false
}'
Representative request body. Field names follow the corresponding entity model and values are illustrative; send only the fields you need.
Request body
{
"pagination": {
"page": 1,
"pageSize": 20
},
"search": "",
"filters": [],
"sorting": [],
"export": false
}
Response
{
"success": true,
"message": "List all logs.",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {
"data": {
"logs": [
{
"created_at": "2026-09-21T09:29:52.848160Z",
"trace_id": "a1b2c3d4e5f60718293a4b5c6d7e8f90",
"span_id": "a1b2c3d4e5f60718",
"event_id": null,
"session_id": "49535254-7fbb-5797-b078-99627e4a3c4a",
"chat_session_id": null,
"source_id": null,
"asset_id": null,
"metric_detail_id": null,
"job_run_id": null,
"name": "POST:- /api/v1/workflow/workflow-execution/list",
"event_source": null,
"event_type": null,
"action": null,
"entity": null,
"status": "SUCCESS",
"message": null,
"source_name": null,
"asset_name": null,
"metric_detail_name": null,
"job_type": null,
"schedule_id": null,
"schedule_name": null,
"schedule_level": null,
"user_id": "11e92a6f-8e8f-5006-98b9-00f5d0e394b9",
"service_name": "WORKFLOW-SERVICE",
"service_version": "1.0.0",
"start_time": "2026-09-21T09:29:52.816455Z",
"end_time": "2026-09-21T09:29:52.887838Z",
"latency_ms": 71,
"entity_id": null,
"entity_type": null,
"client_ip": null,
"device_info": null
}
],
"count": 1613590,
"stats": {
"total_filtered": 1613590,
"total_count": 1613590,
"app": 1523451,
"ai": 25519,
"job": 64620
}
}
}
}
POST /api/v1/logging/audit-logsList all audit logs.Request Bodystring
Free-text search term.
array
Array of filter objects.
array
Array of sort instructions.
string
required
ID of the object.
string
required
Type or kind of the object.
boolean
Set to
true to request export output.boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
object[]
string
Example:
"view".string
Example:
"User viewed SKU Identifier term".string
Example:
"2026-09-21T10:25:59.043241Z".string
Example:
"203.0.113.10:50000".string
Example:
"{\"user_agent_raw\": \"Python-urllib/3.12\", \"browser\": \"Python-urllib\", \"browser_name\": \"Python-urllib\", \"accept_encoding\": \"identity\", \"device_type\": \"desktop\", \"display\": \"Python-urllib \\u00b7 Desktop\"}".integer
Example:
251854.curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/logging/audit-logs" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"pagination": {
"page": 1,
"pageSize": 20
},
"search": "",
"filters": [],
"sorting": [],
"id": "de895cb6-3810-58a4-937a-f54da5201882",
"type": "asset",
"export": false
}'
This request body matches the payload the Prizm web app sends for this endpoint. IDs and values are placeholders.
Request body
{
"pagination": {
"page": 1,
"pageSize": 20
},
"search": "",
"filters": [],
"sorting": [],
"id": "de895cb6-3810-58a4-937a-f54da5201882",
"type": "asset",
"export": false
}
Response
{
"success": true,
"message": "List all audit logs.",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {
"data": [
{
"action": "view",
"message": "User viewed `SKU Identifier` term",
"created_at": "2026-09-21T10:25:59.043241Z",
"client_ip": "203.0.113.10:50000",
"device_info": "{\"user_agent_raw\": \"Python-urllib/3.12\", \"browser\": \"Python-urllib\", \"browser_name\": \"Python-urllib\", \"accept_encoding\": \"identity\", \"device_type\": \"desktop\", \"display\": \"Python-urllib \\u00b7 Desktop\"}"
}
],
"count": 251854
}
}
POST /api/v1/logging/imports/import-logsReturns a paginated list of bulk import runs and their outcomes.Request BodyField descriptions are inferred from the entity model. Which fields are required is not confirmed for this endpoint.string
Free-text search term.
array
Array of filter objects.
array
Array of sort instructions.
boolean
Set to
true to request export output.boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
object[]
string
Example:
"acce1924-2ed0-5151-99d1-41a58a9c935b".string
Example:
"domains.xlsx".string
Example:
"domain".integer
Example:
2.integer
Example:
2.integer
Example:
0.string
Example:
"2026-09-20T19:11:13.658818Z".string
Example:
"2026-09-20T19:11:13.656543Z".string
Example:
"2026-09-20T19:11:14.083691Z".string
number
Example:
0.427148.string
Example:
"COMPLETED".string
Example:
"892de25a-54a1-5739-ba50-f45697e10db2".integer
Example:
136.curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/logging/imports/import-logs" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"pagination": {
"page": 1,
"pageSize": 20
},
"search": "",
"filters": [],
"sorting": [],
"export": false
}'
Representative request body. Field names follow the corresponding entity model and values are illustrative; send only the fields you need.
Request body
{
"pagination": {
"page": 1,
"pageSize": 20
},
"search": "",
"filters": [],
"sorting": [],
"export": false
}
Response
{
"success": true,
"message": "Get Imports",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {
"data": [
{
"id": "acce1924-2ed0-5151-99d1-41a58a9c935b",
"name": "domains.xlsx",
"type": "domain",
"total_records": 2,
"passed_records": 2,
"failed_records": 0,
"created_at": "2026-09-20T19:11:13.658818Z",
"start_time": "2026-09-20T19:11:13.656543Z",
"end_time": "2026-09-20T19:11:14.083691Z",
"error_log": null,
"duration": 0.427148,
"status": "COMPLETED",
"created_by": "892de25a-54a1-5739-ba50-f45697e10db2"
}
],
"total_count": 136
}
}
POST /api/v1/logging/user-activity-logsList all user activity logs (user sessions).Request BodyField descriptions are inferred from the entity model. Which fields are required is not confirmed for this endpoint.string
Free-text search term.
array
Array of filter objects.
array
Array of sort instructions.
boolean
Set to
true to request export output.boolean
Whether the request completed successfully
string
Human-readable result message
string
ISO 8601 server timestamp
string
Unique ID for this request
object
object
object[]
string
Example:
"49535254-7fbb-5797-b078-99627e4a3c4a".string
Example:
"11e92a6f-8e8f-5006-98b9-00f5d0e394b9".string
Example:
"203.0.113.10:50000".object
string
Example:
"macos".string
Example:
"Chrome".string
Example:
"Chrome 153 · macOS · Desktop".string
Example:
"desktop".string
Example:
"Chrome".string
Example:
"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/153.0.0.0 Safari/537.36".string
Example:
"gzip, deflate, br, zstd".string
Example:
"en-GB,en-US;q=0.9,en;q=0.8".string
Example:
"153".object
string
Example:
"2026-09-21T09:25:52.191745Z".string
string
string
Example:
"2026-09-21T09:25:52.328624Z".integer
Example:
11.integer
Example:
1316.curl -X POST "https://<your-workspace>.prizmdata.ai/api/v1/logging/user-activity-logs" \
-H "Authorization: Bearer <YOUR_API_TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"pagination": {
"page": 1,
"pageSize": 20
},
"search": "",
"filters": [],
"sorting": [],
"export": false
}'
Representative request body. Field names follow the corresponding entity model and values are illustrative; send only the fields you need.
Request body
{
"pagination": {
"page": 1,
"pageSize": 20
},
"search": "",
"filters": [],
"sorting": [],
"export": false
}
Response
{
"success": true,
"message": "List all user activity logs (user sessions).",
"timestamp": "2026-09-21T09:43:50.316067+00:00",
"correlation_id": "1bff0823-3db2-4b12-bf56-22ea8d38bba2",
"data": {
"data": {
"logs": [
{
"session_id": "49535254-7fbb-5797-b078-99627e4a3c4a",
"user_id": "11e92a6f-8e8f-5006-98b9-00f5d0e394b9",
"client_ip": "203.0.113.10:50000",
"device_info": null,
"session_metadata": null,
"start_time": "2026-09-21T09:25:52.191745Z",
"end_time": null,
"latency": null,
"created_at": "2026-09-21T09:25:52.328624Z",
"audit_log_count": 11
}
],
"count": 1316
}
}
}